<?php
    define('OSSMS_VERSION', 2.02);
    define('OSSMS_AUTHOR', "Lukáš Piják");

    if(function_exists("tep_db_query"))
    {
        $result = tep_db_query("SELECT configuration_value FROM " . TABLE_CONFIGURATION . " WHERE configuration_key = 'MODULE_SMS_LANG'");
        if ($result != NULL)
        {
            $row = tep_db_fetch_array($result);
            $lang = $row["configuration_value"];
            if(!isset($_SESSION["sms_lang"]))
            {
                $_SESSION["sms_lang"] = $lang;
            }
        }

        if($lang == NULL)
        {
            if(!isset($_SESSION["languages_code"]))
            {
                $result = tep_db_query("SELECT code FROM languages WHERE languages_id = ".$_SESSION["languages_id"]);
                if ($result != NULL)
                {
                    $row = tep_db_fetch_array($result);
                    $_SESSION["languages_code"] = $row["code"];
                }
            }

            if(file_exists(DIR_FS_CATALOG.'/ossms/lang/'.$_SESSION["languages_code"].'/lang.php'))
            {
                require_once(DIR_FS_CATALOG.'/ossms/lang/'.$_SESSION["languages_code"].'/lang.php');
            } 
            else 
            {
                require_once(DIR_FS_CATALOG.'/ossms/lang/en/lang.php');
            }
        } 
        else 
        {
            if(file_exists(DIR_FS_CATALOG.'/ossms/lang/'.$lang.'/lang.php'))
            {
                require_once(DIR_FS_CATALOG.'/ossms/lang/'.$lang.'/lang.php');
            } 
            else 
            {
                require_once(DIR_FS_CATALOG.'/ossms/lang/en/lang.php');
            }
        }

        if(file_exists("../ossms/includes/class.ossms.php"))
        {
            require_once("../ossms/includes/class.ossms.php");
        }

        if(file_exists("ossms/includes/class.ossms.php"))
        {
            require_once("ossms/includes/class.ossms.php");
        }

        if(file_exists("ossms/includes/exc.php"))
        {
            require_once("ossms/includes/exc.php");
        }

        if(file_exists("../ossms/includes/exc.php"))
        {
            require_once("../ossms/includes/exc.php");
        }
    }

